EZ_Save3DCanvas2PS(3)

NAME
EZ_Save3DCanvas2PS - dump a 3D canvas to a PS file

SYNOPSIS
#include <EZ.h>

void EZ_Save3DCanvas2PS( EZ_Widget *canvas, char *fname)
void EZ_Save3DCanvas2PSA( EZ_Widget *canvas, int mode,
                          int dpi, float scale, char *fname));

ARGUMENTS
canvas Specifies a 3D canvas widget.

fname Specifies a file name.

mode Specifies a PS mode, either EZ_PORTRAIT or EZ_LANDSCAPE.

dpi Specifies a resolution.

scale Specifies a scaling factor.

DESCRIPTION

EZ_Save3DCanvas2PSA reads the contents of visible portion of a 3D canvas to an X image and converts the X image to postscript using the specified parameters.

EZ_Save3DCanvas2PS is equivalent to
EZ_Save3DCanvas2PSA(canvas, EZ_PORTRAIT, 300, 1.0, fname)

SEE ALSO
EZ_Save3DCanvas2PPMImage(3)